Basque Cyber Security Centre - Centro Vasco de Ciberseguridad

Múltiples vulnerabilidades en Delta Industrial Automation DOPSoft de Delta Electronics

Fecha de publicación: 01/06/2018

Importancia: Alta

Recursos afectados:

  • DOPSoft versión 4.00.04 y anteriores.

Descripción:

El investigador B0nd @garagehackers, trabajando con Zero Day Initiative de Trend Micro, ha identificado varias vulnerabilidades de tipo desbordamiento de búfer y lectura fuera de límites en el producto Delta Industrial Automation DOPSoft de Delta Electronics. Un potencial atacante remoto podría leer información confidencial, ejecutar código arbitrario y/o provocar una caída de la aplicación.

Solución:

Delta Electronics recomienda a los usuarios afectados actualizar a la última versión disponible aquí:

http://www.deltaww.com/Products/PluginWebUserControl/downloadCenterCounter.aspx?DID=9063&DocPath=1&hl=en-US

Delta Electronics recomienda también a los usuarios afectados restringir la interacción con la aplicación a ficheros de confianza.

Detalle:

  • Lectura fuera de límites: La aplicación implementa operaciones de lectura de un búfer de memoria donde la posición puede ser determinada mediante un valor leído de un fichero .dpa. Esto puede causar una restricción inadecuada de las operaciones dentro de los límites del búfer de memoria, permitir la ejecución de código remoto, alterar el flujo de control previsto, permitir la lectura de información confidencial o provocar una caída de la aplicación. Se ha asignado el identificador CVE-2018-10623 para esta vulnerabilidad.
  • Desbordamiento de búfer: La aplicación utiliza un búfer de longitud fija donde un valor mayor que la longitud del búfer de pila se puede leer desde un archivo .dpa, haciendo que el búfer se sobrescriba. Esto podría permitir ejecución remota de código y provocar una caída de la aplicación. Se han asignado los identificadores CVE-2018-10617 y CVE-2018-10621 para estas vulnerabilidades.

Etiquetas: Actualización, Vulnerabilidad